<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Jadwal Kendaraan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
  <section class="section">
      <section class="section-header">
          <h1>Jadwal Kendaraan</h1>
      </section>
      <section class="section-body">
          <div class="row">
              <div class="col-md-12 col-xs-12">
                  <div class="card">
                      <div class="card-header">
                          <h4>List</h4>
                          <div class="card-header-action">
                              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                                  Tambah Data
                              </button>

                              <!-- Modal -->
                              <div class="modal fade" id="exampleModal" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <form th:action="@{/masters/jadwalKendaraan/post}" method="post">
                                          <div class="modal-content">
                                              <div class="modal-header">
                                                  <h5 class="modal-title" id="exampleModalLabel">Jadwal Kendaraan</h5>
                                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                      <span aria-hidden="true">&times;</span>
                                                  </button>
                                              </div>
                                              <div class="modal-body">
                                                  <div class="form-group">
                                                      <label>Mobil</label>
                                                      <select name="idMobil" class="form-control select2" id="mobil" required>
                                                          <option value="" selected disabled>-- Pilih Salah Satu --</option>
                                                          <option th:each="data, row:${kendaraan}"
                                                                  th:text="${data.merek + ' (' + data.nomorPolisi + ')'}"
                                                                  th:value="${data.id}"></option>
                                                      </select>
                                                  </div>
                                                  <div class="form-group">
                                                      <label>Tujuan</label>
                                                      <select name="tujuan" class="form-control select2" id="tujuan" required >
                                                          <option value="" selected disabled>-- Pilih Salah Satu --</option>
                                                          <option value="dalam">Jabodetabek</option>
                                                          <option value="luar">Luar Jabodetabek</option>
                                                      </select>
                                                  </div>
                                                  <div class="form-group">
                                                      <label>Keperluan</label>
                                                      <input type="text" class="form-control" name="keperluan" required>
                                                  </div>
                                                  <div class="form-group">
                                                      <label>Tanggal Pinjam</label>
                                                      <input type="date" class="form-control" required name="tanggalPinjam">
                                                  </div>
                                                  <div class="form-group">
                                                      <div class="row">
                                                          <div class="col-md-6">
                                                              <label style="color: #0a0a0b; font-size: 12px;">Waktu Berangkat</label>
                                                              <input type="time" class="form-control" required name="waktuBerangkat">
                                                          </div>
                                                          <div class="col-md-6">
                                                              <label style="color: #0a0a0b; font-size: 12px;">Waktu Pulang <span style="color: red; font-size: 10px;">*(Perkiraan)</span></label>
                                                              <input type="time" class="form-control" required name="waktuPulang">
                                                          </div>
                                                      </div>
                                                  </div>
                                              </div>
                                              <div class="modal-footer">
                                                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                  <button type="submit" class="btn btn-primary">Save changes</button>
                                              </div>
                                          </div>
                                      </form>
                                  </div>
                              </div>
                          </div>
                      </div>
                      <div class="card-body">
                          <div class="table-responsive">
                              <table class="table table-striped">
                                  <thead>
                                  <tr>
                                      <th>*</th>
                                      <th>Kendaraan</th>
                                      <th>Tujuan</th>
                                      <th>Keperluan</th>
                                      <th>Tanggal</th>
                                      <th>Jam Mulai</th>
                                      <th>Jam Berakhir</th>
                                      <th>Status</th>
                                  </tr>
                                  </thead>
                                  <tbody>
                                  <tr th:each="data, row:${listData}">
                                      <td th:text="${(row.index + 1)}"></td>
                                      <td th:text="${data.idMobil.merek}"></td>
                                      <td>
                                          <span th:if="${data.tujuan == 'Jabodetabek'}">Jabodetabek</span>
                                          <span th:if="${data.tujuan == 'Luar Jabodetabek'}">Luar Jabodetabek</span>
                                      </td>
                                      <td th:text="${data.keperluan}"></td>
                                      <td th:text="${data.tanggalPinjam}"></td>
                                      <td th:text="${data.waktuBerangkat}"></td>
                                      <td th:text="${data.waktuPulang}"></td>
                                      <td>
                                          <span th:if="${data.statusPeminjaman == 'APPROVED'}" class="btn btn-success btn-sm">APPROVED</span>
                                          <span th:if="${data.statusPeminjaman == 'WAITING'}" class="btn btn-warning btn-sm">WAITING</span>
                                      </td>
                                  </tr>
                                  </tbody>

                              </table>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </section>
  </section>
</div>
</body>
</html>